Packages - Bug #2769

Freedom Issue # 972 (forwarded upstream): TeXLive freedom verification
[texlive-core]: missing /usr/bin/mktexisr

2020-05-07 08:20 AM - jerilso

Status: fixed % Done: 0%
Priority: bug

Assignee: bill-auger

Category:

Description

| installed texlive-core with: sudo pacman -S texlive-core.
To clarify, the script in /usr/share/libalpm/scripts/mktexlsr can't find the binary /usr/bin/mktexlisr. It doesn't exist on my computer.
The command that failed to work is: pdflatex example.tex

Thanks for your help.

History

#1 - 2020-05-08 06:06 AM - bill-auger

- Status changed from unconfirmed to not-a-bug
- Description updated

i tried this myself and i got this error:

$ pdflatex some.tex
! LaTeX Error: File “standalone.cls' not found.

i had to install the 'texlive-latexextra' to make the “pdflatex” command work - the texlive-* pacjages i have installed are:
libre/texlive-bin 2020.54586-1.parabolal
libre/texlive-core 2019.50917-1.par?2

libre/texlive-latexextra 2019.50920-1.parl

there is a package group 'texlive-most' which would have installed it - in case you have trouble with some other type of files, try installing the whole
set:

$ sudo pacman -S texlive-most

#2 - 2020-05-08 07:54 AM - jerilso

Thanks for replying. Sadly, even installing texlive-most doesn't solve my issue. It doesn't change anything actually.

Maybe it's just a problem on my side, i'll try to see.

#3 - 2020-05-08 07:52 PM - jerilso

Hello bill-auger, have you tried on a freshly installed parabola or was it on a computer that already had a working texlive environment?
| have been suggested that | shouldn't use texlive-bin 2019 with texlive-core 2020. Could it be what is causing the issue?

Is there a way to get both texlive-bin 2019 and texlive-core 2019 or texlive-bin 2020 and texlive-core 2020 in parabola?

#4 - 2020-05-09 12:08 AM - bill-auger

what exactly is the error that you see? - the error about mktexlsr is not a problem - i get that too; and it still works as expected - i even opened the
generated PDF file; and it looks perfect

also, have you ever used the 'pdflatex' program successfully on your current system?

you can try downgrading poppler and texlive-bin; it did that at first; and it filed in the same way - after i installed 'texlive-latexextra’, it worked - then i
re-installed the new poppler and texlive-bin; and it still worked

you can try these steps - firstly i needed to uninstall anything that depends on poppler
sudo pacman —-Rss poppler

sudo pacman —-S icu-parabola

sudo pacman -U https://archive.archlinux.org/packages/p/poppler/poppler-0.86.1-1-x86_64.pkg.tar.zst

sudo pacman -U https://repo.parabola.nu/pool/parabola/texlive-bin-2019.51075-7.parl-x86_64.pkg.tar.xz —--ass
ume-installed=icu=65

$
$
$
$

#5 - 2020-05-09 08:45 AM - jerilso

Hello,
In my first message, | had linked to the pacman logs that | had. Is it still available?
| have only installed parabola a few weeks ago. | have never used pdflatex on this installation before.

The steps you gave me worked, thanks a lot! | guess | needed both texlive-bin 2019 and texlive-core 2019 at the same time for the installation to
succeed. Then the upgrade of only one of them seems to work :).

The steps you mentioned installed the package icu-parabola. | already had icu installed. Now | have both. Do | need both?

Thanks a lot

#6 - 2020-05-09 10:21 AM - bill-auger

the OP mentioned that you were going to post some logs; but there
were none

it would be a good idea to keep 'icu-parabola’ installed always
that package is meant to smooth transitions from one icu version
to the next in the future - most likely you will need it again
someday anyway

#7 - 2020-07-09 02:50 AM - nona

mktexisr is needed to install texlive-science
Context:

e https://labs.parabola.nu/boards/5/topics/454 (a related question; nothing to do with freedom)

e https://www.reddit.com/r/archlinux/comments/h852nd/problem_with_texlivecore_package post_transaction/ (not related to Arch Linux)
e https://labs.parabola.nu/issues/2792 (a duplicate affecting other people)

e https://wiki.parabola.nu/TeXLive#lnstallation (the original instructions)

When installing texlive-science:

sudo pacman -S texlive-science

updmap [ERROR]: The following map file(s) couldn't be found:

updmap [ERROR] : chemarrow.map (in /etc/texmf/web2c/updmap.cfqg)
updmap [ERROR] : stmaryrd.map (in /etc/texmf/web2c/updmap.cfq)
updmap [ERROR] : yvhmath.map (in /etc/texmf/web2c/updmap.cfqg)

updmap [ERROR]: Did you run mktexlsr?

You can disable non-existent map entries using the option
—-—-syncwithtrees.

error: command failed to execute correctly

Running xelatex on my file

xelatex —-file-line-error —-no-pdf —-interaction nonstopmode -shell-escape —-output-directory /tmp/ test.tex
! LaTeX Error: File “siunitx.sty' not found.

#8 - 2020-07-18 08:24 PM - nona

Can someone reopen this bug or should | create a new one? Thanks.

#9 - 2020-07-19 02:36 AM - bill-auger

nona -

i just made you a moderator - be at liberty to do whatever
you think is best for any ticket
it is best to re-open a ticket if it contains information
which is still relevant, such as if the very same bug
re-appears, soon after being fixed - that is probably the
case with this one

i kinda ignored this one because it is probably just a small
symptom of the larger issue, that all of the texlive packages
need rebuilding now - i am aware of it and started on some of
them

there is also the yet larger discussion of whether we need to
blacklist and re-package texlive at all #972
(plus related: #969#2695#2698#2699#2700)

#10 - 2020-07-19 09:44 PM - nona

- Status changed from not-a-bug to confirmed

Thanks, bill. | figured about the packaging after i tried to create the texlive-core package.
Regarding the licenses: Oh, my! a banana and a gorilla you said, right?

I am marking this one as confirmed. | will do what i can with the packaging myself. | think that it's a good moment to read the packaging
documentation. Thanks.

#11 - 2020-07-19 09:49 PM - nona
- Parent task set to #972

#12 - 2020-07-22 01:39 AM - nona
- File PKGBUILD added
- File PKGBUILD added

bill-auger wrote:
all of the texlive packages

need rebuilding now - i am aware of it and started on some of
them

| am attaching what runs for me with the current packages for texlive-core and texlive-latexextra once | update the sources to their free equivalents (
#2699, #2698, #972)

#13 - 2020-08-01 09:33 AM - bill-auger
- Assignee set to bill-auger

- Subject changed from texlive-core missing /ust/bin/mktexlsr to [texlive-core]: missing /ust/bin/mktexisr

texlive-core has been upgraded - i think the problem with mktexIsr is that it was moved from one package to another; but at the time of this BR only
texlive-bin had been upgraded

#14 - 2020-12-05 08:26 AM - oaken-source

bill-auger is correct, the file has moved from texlive-bin to texlive-core:

$ pacman -F /usr/bin/mktexlsr

usr/bin/mktexlsr is owned by libre/texlive-bin 2019.51075-3.par3
$ pacman -Fy

[...]

$ pacman -F /usr/bin/mktexlsr

usr/bin/mktexlsr is owned by libre/texlive-core 2020.55416-1.parl

this issue can be closed.

#15 - 2020-12-05 08:42 AM - bill-auger

- Status changed from confirmed to fixed

"fixed" as in: it fixed itself, really - it was justr a matter of rolling the libre packages ahead in step with arch
Files

PKGBUILD 13.8 KB 2020-07-22 nona
PKGBUILD 4.32 KB 2020-07-22 nona
